Bug 223600 - ogginfo crash on non utf8 title
ogginfo crash on non utf8 title
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vorbis-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-20 11:46 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.1.svn20070412-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-14 18:46:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2007-01-20 11:46:09 EST
Description of problem:

ogginfo crashes on a file with non utf8 comments. No problem with
ogginfo breaking but here I get a trace from the glibc.

The file can be downloaded from
http://samusic.free.fr//NODADVSIMIXCONTEST/telechargercestillegal.ogg

I guess that the comment is in latin1. The title should be something
along "télécharger c'est illégal".


Here is the ogginfo output:

Processing file "/home/dumas/tmp/telechargercestillegal.ogg"...

Note: Stream 1 has serial number 0, which is legal but may cause problems with
some tools.
New logical stream (#1, serial: 00000000): type vorbis
Vorbis headers parsed for stream 1, information follows...
Version: 0
Vendor: Xiph.Org libVorbis I 20020717 (1.0)
Channels: 2
Rate: 44100

Nominal bitrate: 499,821000 kb/s
Upper bitrate not set
Lower bitrate not set
User comments section follows...
        ARTIST=sam
Warning: Illegal UTF-8 sequence in comment 1 (stream 1): invalid sequence
        TITLE=
*** glibc detected *** ogginfo: double free or corruption (fasttop): 0x09c37ea0 ***
======= Backtrace: =========
/lib/libc.so.6[0x9fc3dd]
/lib/libc.so.6(cfree+0x90)[0x9ffa30]
ogginfo[0x80494e0]
ogginfo[0x804992f]
ogginfo[0x804a69c]
/lib/libc.so.6(__libc_start_main+0xe0)[0x9abe90]
ogginfo[0x8048f41]
======= Memory map: ========
008ab000-008b0000 r-xp 00000000 08:02 764689     /usr/lib/libogg.so.0.5.3
008b0000-008b1000 rwxp 00004000 08:02 764689     /usr/lib/libogg.so.0.5.3
00977000-00992000 r-xp 00000000 08:02 2054314    /lib/ld-2.5.90.so
00992000-00993000 r-xp 0001a000 08:02 2054314    /lib/ld-2.5.90.so
00993000-00994000 rwxp 0001b000 08:02 2054314    /lib/ld-2.5.90.so
00996000-00ae0000 r-xp 00000000 08:02 2054333    /lib/libc-2.5.90.so
00ae0000-00ae2000 r-xp 0014a000 08:02 2054333    /lib/libc-2.5.90.so
00ae2000-00ae3000 rwxp 0014c000 08:02 2054333    /lib/libc-2.5.90.so
00ae3000-00ae6000 rwxp 00ae3000 00:00 0 
00ae8000-00b0f000 r-xp 00000000 08:02 2054538    /lib/libm-2.5.90.so
00b0f000-00b10000 r-xp 00026000 08:02 2054538    /lib/libm-2.5.90.so
00b10000-00b11000 rwxp 00027000 08:02 2054538    /lib/libm-2.5.90.so
00d9d000-00da8000 r-xp 00000000 08:02 2056349    /lib/libgcc_s-4.1.1-20070105.so.1
00da8000-00da9000 rwxp 0000a000 08:02 2056349    /lib/libgcc_s-4.1.1-20070105.so.1
00ddc000-00ddd000 r-xp 00ddc000 00:00 0          [vdso]
05e82000-05e9e000 r-xp 00000000 08:02 764690     /usr/lib/libvorbis.so.0.3.1
05e9e000-05eac000 rwxp 0001c000 08:02 764690     /usr/lib/libvorbis.so.0.3.1
08048000-0804e000 r-xp 00000000 08:02 757976     /usr/bin/ogginfo
0804e000-0804f000 rw-p 00005000 08:02 757976     /usr/bin/ogginfo
09c1b000-09c3c000 rw-p 09c1b000 00:00 0 
b7c00000-b7c21000 rw-p b7c00000 00:00 0 
b7c21000-b7d00000 ---p b7c21000 00:00 0 
b7d1a000-b7f1a000 r--p 00000000 08:02 1309070    /usr/lib/locale/locale-archive
b7f1a000-b7f1c000 rw-p b7f1a000 00:00 0 
b7f2c000-b7f33000 r--s 00000000 08:02 815645     /usr/lib/gconv/gconv-modules.cache
b7f33000-b7f35000 rw-p b7f33000 00:00 0 
bfc3e000-bfc54000 rw-p bfc3e000 00:00 0          [stack]
Abandon


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ian Malone 2007-07-14 11:52:32 EDT
Confirmed for FC6 vorbis-tools-1.1.1-3.fc6; fixed upstream by rev 10960
https://trac.xiph.org/changeset/10960

F7 uses a more recent SVN checkout and shouldn't show this bug.

NB that Vorbis comments are required to be utf-8 encoded, other encodings are
illegal (though crashing is still not a correct response).
Comment 2 Patrice Dumas 2007-07-14 18:46:01 EDT
Indeed it is fixed, and shows, correctly:
Warning: Illegal UTF-8 sequence in comment 31 (stream 1): invalid sequence
"TITLE=t?l?charger c'est ill?gal": 54 49 54 4C 45 3D 74 E9 6C E9 63 68 61 72 67
65 72 20 63 27 65 73 74 20 69 6C 6C E9 67 61 6C 

Note You need to log in before you can comment on or make changes to this bug.